package com.boman.gen.mapper;

import com.boman.domain.GenTableRelation;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/03/25/16:13
 */
public interface GenTableRelationMapper {
    /**
     * 查询列表
     * @param genTableRelation
     * @return
     */
    List<GenTableRelation> selectGenTableRelationList (GenTableRelation genTableRelation);

    /**
     * 根据id查询详情
     * @param id
     * @return
     */
    GenTableRelation selectGenTableRelationById (Long id);


    /**
     * 插入
     * @param genTableRelation
     * @return
     */
    int insertGenTableRelation (GenTableRelation genTableRelation);

    /**
     * 修改
     * @param genTableRelation
     * @return
     */
    int updateGenTableRelation (GenTableRelation genTableRelation);

    /**
     * 删除
     * @param ids
     * @return
     */
    int deleteGenTableRelation (Long[] ids);

    /**
     * 删除根据relation_parent_id
     * @param ids
     * @return
     */
    int deleteGenTableRelationByParentId (Long[] ids);
}
